- Qt 6.9
- Qt Qml
- Qt Qml Tooling
- qml
- Qt 6.9.3 Reference Documentation

qmlprofiler ◦ qmlpreview

# qml

## The qml utility

`The` qml utility tool loads QML documents and creates a window to show the scene if your QML document includes a visual item. You can also evaluate non-visual QML documents with it. It is mainly meant for testing your QML applications or components quickly as described in here.

Usage:
qml [options] files... [– args...]

### options

Option | Description
--- | ---
-h, –help | Displays help on commandline options.
–help-all | Displays help, including generic Qt options.
-v, –version | Displays version information.
-a, –apptype <core|gui|widget> | Select which application class to use. Default is gui.
-I <path> | Prepend the given path to the import paths.
-f <file> | Load the given file as a QML file.
-c, –config <file> | Load the given built-in configuration or configuration file.
–list-conf | List the built-in configurations.
–translation <file> | Load the given file as the translations file.
–dummy-data <file> | Load QML files from the given directory as context properties. (deprecated)
–desktop | Force use of desktop OpenGL (AA_UseDesktopOpenGL).
–gles | Force use of GLES (AA_UseOpenGLES).
–software | Force use of software rendering (AA_UseSoftwareOpenGL).
–core-profile | Force use of OpenGL Core Profile.
–disable-context-sharing | Disable the use of a shared GL context for QtQuick Windows
–enable-shader-cache | Enable persistent caching of generated shaders
–transparent | Requests an alpha channel in order to enable semi-transparent windows.
–multisample | Requests 4x multisample antialiasing.
–quiet | Suppress all output.
–verbose | Print information about what qml is doing, like specific file URLs being loaded.
–slow-animations | Run all animations in slow motion.
–fixed-animations | Run animations off animation tick rather than wall time.
-r, –rhi <backend> | Set the backend for the Qt graphics abstraction (RHI). Backend is one of: default, vulkan, metal, d3d11, gl
-S <selector> | Add selector to the list of QQmlFileSelectors.